# Package org.apache.cassandra.db.filter

Interface Summary
Interface | Description
--- | ---
IDiskAtomFilter | Given an implementation-specific description of what columns to look for, provides methods to extract the desired columns from a Memtable, SSTable, or SuperColumn.

Class Summary
Class | Description
--- | ---
ColumnCounter |
ColumnCounter.GroupByPrefix |
ColumnSlice |
ColumnSlice.NavigableMapIterator |
ColumnSlice.Serializer |
ExtendedFilter | Extends a column filter (IFilter) to include a number of IndexExpression.
ExtendedFilter.WithClauses |
IDiskAtomFilter.Serializer |
NamesQueryFilter |
NamesQueryFilter.Serializer |
QueryFilter |
QueryPath | This class is obsolete internally, but kept for wire compatibility with older nodes.
SliceQueryFilter |
SliceQueryFilter.Serializer |

Exception Summary
Exception | Description
--- | ---
TombstoneOverwhelmingException |